<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" type="text/css" href="css/styles.css">
    <title>TP1-Simple Vue.js App</title>
</head>
<body>
    <div class="container" id="app">

        <a :href="link" :title="title">{{ message }}</a>
        <br />
        <input type="text" v-model="message">

        <br />
        <input type="checkbox" v-model="success">

        <div v-if="success">
            <i @click="close">x</i>
            <p>{{ message }}</p>
        </div>

        <div :class="{green: success, red: !success}">
            <i @click="close">x</i>
            <p>{{ message }}</p>
        </div>

        <ul>
            <li v-for="person in persons">{{ person }}</li>
        </ul>

        <p>{{ currentDate }}</p>

        <p>{{ getFullName }}</p>

        <div>
            <p  v-if="storyShow">{{ story | excerpt(30) }}</p>
            <p  v-else>{{ story }}</p>
            <button @click="showFullStory">{{ storyButton }}</button>
        </div>
    </div>
    <script type="text/javascript" src="js/vue.js"></script>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.js"></script>
    <script type="text/javascript" src="js/app.js"></script>
</body>
</html>
